## net.sf.saxon.sort
Class UppercaseFirstComparer

    java.lang.Object
      net.sf.saxon.sort.UppercaseFirstComparer

All Implemented Interfaces:
  java.util.Comparator, java.io.Serializable

public class UppercaseFirstComparer
extends java.lang.Object
implements java.util.Comparator, java.io.Serializable

A Comparer used for comparing keys

See Also:
  Serialized Form

Constructor Summary
`UppercaseFirstComparer(java.text.Collator base)`

Method Summary
`int` `compare(java.lang.Object a, java.lang.Object b)` Compare two string objects: case is irrelevant, unless the strings are equal ignoring case, in which case uppercase comes first.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### UppercaseFirstComparer

    public UppercaseFirstComparer(java.text.Collator base)

Method Detail

### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

  Compare two string objects: case is irrelevant, unless the strings are equal ignoring case, in which case uppercase comes first.

  Specified by:
    `compare` in interface `java.util.Comparator`
  Returns:
    <0 if a<b, 0 if a=b, >0 if a>b
  Throws:
    `java.lang.ClassCastException` - if the objects do not implement the CharSequence interface